postcss-fail-on-warn

PostCSS plugin throws a error on any warning from previous PostCSS plugins

Downloads in past

Stats

StarsIssuesVersionUpdatedCreatedSize
postcss-fail-on-warn
0.2.1a year ago4 years agoMinified + gzip package size for postcss-fail-on-warn in KB

Readme

PostCSS Fail On Warn
title="Philosopher’s stone, logo of PostCSS" src="https://postcss.org/logo-leftp.svg">PostCSS plugin throws a error on any warning from previous PostCSS plugins.
alt="Sponsored by Evil Martians" width="236" height="54">

Usage

Step 1: Install plugin:
npm install --save-dev postcss postcss-focus

Step 2: Check you project for existed PostCSS config: postcss.config.js in the project root, "postcss" section in package.json or postcss in bundle config.
If you do not use PostCSS, add it according to official docs and set this plugin in settings.
Step 3: Add the plugin to plugins list:
module.exports = {
  plugins: [
    require('autoprefixer'),
+   require('postcss-fail-on-warn')
  ]
}